# Edges to edges
Examples of a generalization of [semantic triples](https://en.wikipedia.org/wiki/Semantic_triple) called [Node Tagged Edges](https://adamv.be/Edges-to-edges).

JSON files generated by [H-Edit](https://github.com/Adam-Vandervorst/HEdit) are converted in a generic fashion by [json_to_metta.py](json_to_metta.py).
For example, [the digitization](https://apps.adamv.be/HEdit/?uri=examples/InteractiveDisneyStrategy.json&hide_gray&selected=%5B0%5D&hide_help) of Walt Disney's famous ["Productions Organizational Synergy Diagram"](https://cdn8.openculture.com/2020/01/07193732/disney-synergies.jpeg) is converted from [JSON](InteractiveDisneyStrategy.json) to [MeTTa](InteractiveDisneyStrategy.metta).

Queries can then be performed as expected:
```
; everything flowing into DISNEYLAND
!(? (NTE $s $p "DISNEYLAND"))
; how the talent flows
!(? (NTE $s "provides talent" $o))
; everything TV does for MUSIC
!(transform (NTE "TV" $p "MUSIC") $p)
```
